Get Preference
curl --request GET \
--url https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/preference \
--header 'authorization: <authorization>' \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/preference"
headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};
fetch('https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/preference', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"data": {
"data": {
"response": [
{
"preference": "M",
"quarter": "Q1"
},
{
"preference": "M",
"quarter": "Q2"
},
{
"preference": "M",
"quarter": "Q3"
},
{
"preference": "M",
"quarter": "Q4"
}
]
},
"status_cd": "1"
},
"timestamp": "1685540172000",
"transaction_id": "3733caed-31b1-45db-8cfa-0144afd983eb"
}Get Filing Preference
Get filing preference for a return period for authenticated taxpayer
GET
/
gst
/
compliance
/
tax-payer
/
gstrs
/
preference
Get Preference
Response body schema
View response body schema
Headers
GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session recipe, then pass the token in the authorization header.
API key for identification
API version
Query Parameters
Example:
"FY 2024-25"
Was this page helpful?
āI